#### D.13.2.51 isPure

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  isPure(f); f fan

Return:
  1 if all maximal cones of f are of the same dimension 0 otherwise

Example:

    LIB "gfan.lib";
    fan f=fullFan(2);
    isPure(f);
    ==> 1
    fan g=emptyFan(2);
    intmat M1[2][2]=
    1,0,
    0,1;
    cone c1=coneViaPoints(M1);
    insertCone(g,c1);
    isPure(g);
    ==> 1
    intmat M2[1][2]=
    0,-1;
    cone c2=coneViaPoints(M2);
    insertCone(g,c2);
    isPure(g,c2);
    ==> // ** too many arguments for isPureInternal
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.